Too Many Files system plugin

Version 1.8.2 Stable

Released on: Friday, 02 March 2018 18:13

Maturity Stable
Released on Friday, 02 March 2018 18:13
Viewed 1 time

Tested against Joomla 4.0.0 dev

Now fix even more jQuery compatibility issues.  That's right! Your site has a jQuery conflict of some kind? Try the "Fix $-jQuery Error" option, it's guaranteed to work in 80% of the cases, or your money back. jk, if you let us know of any it doesn't handle, we'll quickly try to add support.

Added jQuery Migrate and updated all libraries. Your old settings will continue to work, but you are strongly encouraged to review the libraries as you may be serving old ones. For compatibility issues we cannot automatically update libraries once you specify their version

Version 1.8.2 (2018-03-03)

* Fixed another error that prevented removal/deduplication of some jQuery flavours

Version 1.8.1 (2018-02-26)

* Fixed an error that prevented removal/deduplication of some jQuery flavours

Version 1.8.0 (2018-02-15)

* Compatible with Joomla 4.0.0 dev

Version 1.7.5 (2018-02-14)

* Added jQuery Migrate and updated libraries

Version 1.7.4 (2018-01-09)

* Removed notices raised by PHP7

Version 1.7.3 (2017-05-02)

* Updated jQuery libraries

Version 1.7.2 (2016-04-18)

* Restored Compatibility with PHP 5.3 and 5.4

Version 1.7.0 (2015-12-12)
*    Fix even MORE jQuery compatibility issues! with support for jQuery.noConflict()
    which can be disabled, added, or ignored in the plugin's options.
    In case it is removed or added, all internal and external calls are removed
    and the single noConflict() call is added right after jQuery if added.
    The new setting's default value is 'Leave as Is' for legacy compatibility.
   

View files

Version 1.8.1 Stable

Released on: Monday, 26 February 2018 21:09

Maturity Stable
Released on Monday, 26 February 2018 21:09
Viewed 1 time

Tested against Joomla 4.0.0 dev

Now fix even more jQuery compatibility issues.  That's right! Your site has a jQuery conflict of some kind? Try the "Fix $-jQuery Error" option, it's guaranteed to work in 80% of the cases, or your money back. jk, if you let us know of any it doesn't handle, we'll quickly try to add support.

Added jQuery Migrate and updated all libraries. Your old settings will continue to work, but you are strongly encouraged to review the libraries as you may be serving old ones. For compatibility issues we cannot automatically update libraries once you specify their version

Version 1.8.1 (2018-02-26)

* Fixed an error that prevented removal/deduplication of some jQuery flavours

Version 1.8.0 (2018-02-15)

* Compatible with Joomla 4.0.0 dev

Version 1.7.5 (2018-02-14)

* Added jQuery Migrate and updated libraries

Version 1.7.4 (2018-01-09)

* Removed notices raised by PHP7

Version 1.7.3 (2017-05-02)

* Updated jQuery libraries

Version 1.7.2 (2016-04-18)

* Restored Compatibility with PHP 5.3 and 5.4

Version 1.7.0 (2015-12-12)
*    Fix even MORE jQuery compatibility issues! with support for jQuery.noConflict()
    which can be disabled, added, or ignored in the plugin's options.
    In case it is removed or added, all internal and external calls are removed
    and the single noConflict() call is added right after jQuery if added.
    The new setting's default value is 'Leave as Is' for legacy compatibility.
   

View files

Version 1.8.0 Stable

Released on: Thursday, 15 February 2018 13:25

Maturity Stable
Released on Thursday, 15 February 2018 13:25
Viewed 1 time

Tested against Joomla 4.0.0 dev

Now fix even more jQuery compatibility issues.  That's right! Your site has a jQuery conflict of some kind? Try the "Fix $-jQuery Error" option, it's guaranteed to work in 80% of the cases, or your money back. jk, if you let us know of any it doesn't handle, we'll quickly try to add support.

Added jQuery Migrate and updated all libraries. Your old settings will continue to work, but you are strongly encouraged to review the libraries as you may be serving old ones. For compatibility issues we cannot automatically update libraries once you specify their version

Version 1.8.0 (2018-02-15)

* Compatible with Joomla 4.0.0 dev

Version 1.7.5 (2018-02-14)

* Added jQuery Migrate and updated libraries

Version 1.7.4 (2018-01-09)

* Removed notices raised by PHP7

Version 1.7.3 (2017-05-02)

* Updated jQuery libraries

Version 1.7.2 (2016-04-18)

* Restored Compatibility with PHP 5.3 and 5.4

Version 1.7.0 (2015-12-12)
*    Fix even MORE jQuery compatibility issues! with support for jQuery.noConflict()
    which can be disabled, added, or ignored in the plugin's options.
    In case it is removed or added, all internal and external calls are removed
    and the single noConflict() call is added right after jQuery if added.
    The new setting's default value is 'Leave as Is' for legacy compatibility.
   

View files

Version 1.7.5 Stable

Released on: Thursday, 15 February 2018 10:50

Maturity Stable
Released on Thursday, 15 February 2018 10:50
Viewed 1 time

Now fix even more jQuery compatibility issues.  That's right! Your site has a jQuery conflict of some kind? Try the "Fix $-jQuery Error" option, it's guaranteed to work in 80% of the cases, or your money back. jk, if you let us know of any it doesn't handle, we'll quickly try to add support.

Added jQuery Migrate and updated all libraries. Your old settings will continue to work, but you are strongly encouraged to review the libraries as you may be serving old ones. For compatibility issues we cannot automatically update libraries once you specify their version.

Version 1.7.4 (2018-01-09)

* Removed notices raised by PHP7

Version 1.7.3 (2017-05-02)

* Updated jQuery libraries

Version 1.7.2 (2016-04-18)

* Restored Compatibility with PHP 5.3 and 5.4

Version 1.7.0 (2015-12-12)
*    Fix even MORE jQuery compatibility issues! with support for jQuery.noConflict()
    which can be disabled, added, or ignored in the plugin's options.
    In case it is removed or added, all internal and external calls are removed
    and the single noConflict() call is added right after jQuery if added.
    The new setting's default value is 'Leave as Is' for legacy compatibility.
   

View files

Version 1.7.4 Stable

Released on: Tuesday, 09 January 2018 00:00

Maturity Stable
Released on Tuesday, 09 January 2018 00:00
Viewed 4 times

Now fix even more jQuery compatibility issues.  That's right! Your site has a jQuery conflict of some kind? Try the "Fix $-jQuery Error" option, it's guaranteed to work in 80% of the cases, and if you let us know of any it doesn't handle, we'll quickly try to add support.

New and Improved, now supports legacy PHP 5.3 and 5.4 Joomla installations

Version 1.7.4 (2018-01-09)

* Removed notices raised by PHP7

Version 1.7.3 (2017-05-02)

* Updated jQuery libraries

Version 1.7.2 (2016-04-18)

* Restored Compatibility with PHP 5.3 and 5.4

Version 1.7.0 (2015-12-12)
*    Fix even MORE jQuery compatibility issues! with support for jQuery.noConflict()
    which can be disabled, added, or ignored in the plugin's options.
    In case it is removed or added, all internal and external calls are removed
    and the single noConflict() call is added right after jQuery if added.
    The new setting's default value is 'Leave as Is' for legacy compatibility.
   

View files

Version 1.7.3 Release Candidate

Released on: Tuesday, 02 May 2017 00:00

Maturity Release Candidate
Released on Tuesday, 02 May 2017 00:00
Viewed 164 times

Now fix even more jQuery compatibility issues.  That's right! Your site has a jQuery conflict of some kind? Try the "Fix $-jQuery Error" option, it's guaranteed to work in 80% of the cases, and if you let us know of any it doesn't handle, we'll quickly try to add support.

New and Improved, now supports legacy PHP 5.3 and 5.4 Joomla installations

Version 1.7.3 (2017-05-02)

* Updated jQuery libraries

Version 1.7.2 (2016-04-18)

* Restored Compatibility with PHP 5.3 and 5.4

Version 1.7.0 (2015-12-12)
*    Fix even MORE jQuery compatibility issues! with support for jQuery.noConflict()
    which can be disabled, added, or ignored in the plugin's options.
    In case it is removed or added, all internal and external calls are removed
    and the single noConflict() call is added right after jQuery if added.
    The new setting's default value is 'Leave as Is' for legacy compatibility.
   

View files

Version 1.7.2 Release Candidate

Released on: Monday, 18 April 2016 00:00

Maturity Release Candidate
Released on Monday, 18 April 2016 00:00
Viewed 3022 times

Now fix even more jQuery compatibility issues.  That's right! Your site has a jQuery conflict of some kind? Try the "Fix $-jQuery Error" option, it's guaranteed to work in 80% of the cases, and if you let us know of any it doesn't handle, we'll quickly try to add support.

New and Improved, now supports legacy PHP 5.3 and 5.4 Joomla installations

Version 1.7.2 (2016-04-18)

* Restored Compatibility with PHP 5.3 and 5.4

Version 1.7.0 (2015-12-12)
*    Fix even MORE jQuery compatibility issues! with support for jQuery.noConflict()
    which can be disabled, added, or ignored in the plugin's options.
    In case it is removed or added, all internal and external calls are removed
    and the single noConflict() call is added right after jQuery if added.
    The new setting's default value is 'Leave as Is' for legacy compatibility.
   

View files

Version 1.7.0 Release Candidate

Released on: Saturday, 12 December 2015 00:00

Maturity Release Candidate
Released on Saturday, 12 December 2015 00:00
Viewed 3458 times

Now fix even more jQuery compatibility issues.  That's right! Your site has a jQuery conflict of some kind? Try the "Fix $-jQuery Error" option, it's guaranteed to work in 80% of the cases, and if you let us know of any it doesn't handle, we'll quickly try to add support.

Version 1.7.0 (2015-12-12)
*    Fix even MORE jQuery compatibility issues! with support for jQuery.noConflict()
    which can be disabled, added, or ignored in the plugin's options.
    In case it is removed or added, all internal and external calls are removed
    and the single noConflict() call is added right after jQuery if added.
    The new setting's default value is 'Leave as Is' for legacy compatibility.
   
   

View files

Version 1.6.5 Release Candidate

Released on: Wednesday, 11 November 2015 00:00

Maturity Release Candidate
Released on Wednesday, 11 November 2015 00:00
Viewed 3496 times

TooManyFiles can now fix (some) jQuery compatibility issues.  That's right! Your site has a jQuery conflict of some kind? Try the "Fix $-jQuery Error" option, it's guaranteed to work in 80% of the cases, and if you let us know of any it doesn't handle, we'll quickly add support.

Version 1.6.1 (2014-12-02)
*    Added extra configuration params to specify the exact version and source of libraries
    The configuration is backwards compatible: i.e. your previous settings will continue
    to work; however, once you open the plugin the old configuration options will be changed and
    you'll have to choose an explicit library.  Once you have made your choice, toomanyfiles
    will not automatically change library version when it updates.
    This ensures you can use jQuery 1 or 2 in the exact version you tested for.
*    Deprecation check: removed JError.
*    Added support for improperly formatted tags

NOTE : Joomla 3 compatibility only!!! A future version will restore 2.5 compatibility,
    but in order to speed up the integration with the TooManyFilesPro component faster,
    the next few versions will be 3.x only.

Version 1.6.2 (2015-03-16)
*    Extra configurations params now work in Joomla 3.3 and 3.4
*   Fix relative paths gone wrong i.e. loading a script from a relative path such as
            modules/assets/something.js
        instead of
            /modules/assets/something.js
            
Version 1.6.3 (2015-03-18)
*   fix jQuery compatibility issues.
        Just enable the flag "Fix $-jQuery Error" in the plugin Header Management options.
        
        Some scripts rely on the prefix $ being available;
        however, it is customary to load jQuery invoking noConflict() in Joomla!  
        This option re-assigns $ to jQuery, so further scripts can rely on $ being jQuery.
Version 1.6.4 (2015-03-20, eclipse day)
    Fixed a nasty typo

Version 1.6.5 (2015-11-11)
*    Support for an "apparently" local file which doesn't exist i.e.
      /default/css.html, with css content, being generated by a plugin.

NOTE : Joomla 3 compatibility only!!! A future version will restore 2.5 compatibility,
    but in order to speed up the integration with the TooManyFilesPro component faster,
    the next few versions will be 3.x only.      

View files

Version 1.6.4 Release Candidate

Released on: Friday, 20 March 2015 00:00

Maturity Release Candidate
Released on Friday, 20 March 2015 00:00
Viewed 4311 times

TooManyFiles can now fix (some) jQuery compatibility issues.  That's right! Your site has a jQuery conflict of some kind? Try the "Fix $-jQuery Error" option, it's guaranteed to work in 80% of the cases, and if you let us know of any it doesn't handle, we'll quickly add support.

Version 1.6.1 (2014-12-02)
*    Added extra configuration params to specify the exact version and source of libraries
    The configuration is backwards compatible: i.e. your previous settings will continue
    to work; however, once you open the plugin the old configuration options will be changed and
    you'll have to choose an explicit library.  Once you have made your choice, toomanyfiles
    will not automatically change library version when it updates.
    This ensures you can use jQuery 1 or 2 in the exact version you tested for.
*    Deprecation check: removed JError.
*    Added support for improperly formatted tags

NOTE : Joomla 3 compatibility only!!! A future version will restore 2.5 compatibility,
    but in order to speed up the integration with the TooManyFilesPro component faster,
    the next few versions will be 3.x only.

Version 1.6.2 (2015-03-16)
*    Extra configurations params now work in Joomla 3.3 and 3.4
*   Fix relative paths gone wrong i.e. loading a script from a relative path such as
            modules/assets/something.js
        instead of
            /modules/assets/something.js
            
Version 1.6.3 (2015-03-18)
*   fix jQuery compatibility issues.
        Just enable the flag "Fix $-jQuery Error" in the plugin Header Management options.
        
        Some scripts rely on the prefix $ being available;
        however, it is customary to load jQuery invoking noConflict() in Joomla!  
        This option re-assigns $ to jQuery, so further scripts can rely on $ being jQuery.
Version 1.6.4 (2015-03-20, eclipse day)

    Fixed a nasty typo
       

View files

Version 1.5.11 Stable

Released on: Wednesday, 26 November 2014 00:00

Maturity Stable
Released on Wednesday, 26 November 2014 00:00
Viewed 4449 times

1.5.6 Improved support for IE conditional comments

1.5.7 Added support for internal script urls like /component/cobalt/?task=ajax.mainJS"

1.5.11

    Improved reliability and compatibility with other extensions
    most notably excluded the creation of the custom
    .htaccess in the css4min cache folder to prevent
    incompatibilities with admin tools.

View files

Version 1.5.7 Stable

Released on: Friday, 08 August 2014 00:00

Maturity Stable
Released on Friday, 08 August 2014 00:00
Viewed 4420 times

1.5.6 Improved support for IE conditional comments

1.5.7 Added support for internal script urls like /component/cobalt/?task=ajax.mainJS"

View files